<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2021 Workiva-->
<!--r:ac7ae777-52a2-4af0-bb4c-2823d3b1fc7f,g:1d0bf0b4-ef72-40c3-9df2-5308e91d6892-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.chart-ind.com/role/CoverCover" xlink:type="simple" xlink:href="gtls-20210422.xsd#CoverCover"/>
  <link:presentationLink xlink:role="http://www.chart-ind.com/role/CoverCover" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentType_269b5459-6c85-4275-93de-99b4e7cb9c21" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_DocumentType"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_DocumentType_269b5459-6c85-4275-93de-99b4e7cb9c21" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentPeriodEndDate_c4105446-8510-4f6b-bfb2-702bbf9a9112" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_DocumentPeriodEndDate"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_DocumentPeriodEndDate_c4105446-8510-4f6b-bfb2-702bbf9a9112" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityRegistrantName_45fa8828-5e78-4904-a4c5-0f452f3e3a35" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityRegistrantName"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityRegistrantName_45fa8828-5e78-4904-a4c5-0f452f3e3a35" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityIncorporationStateCountryCode_8a0018c3-aa76-4414-96b6-2bc9ac1f4565" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityIncorporationStateCountryCode"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityIncorporationStateCountryCode_8a0018c3-aa76-4414-96b6-2bc9ac1f4565" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityFileNumber_9ea066f6-e857-40f4-aba9-cc6922fb5646" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityFileNumber"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityFileNumber_9ea066f6-e857-40f4-aba9-cc6922fb5646" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityTaxIdentificationNumber_b79d00ac-b0f8-4995-ad91-b9c0e4abf6e5" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityTaxIdentificationNumber"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityTaxIdentificationNumber_b79d00ac-b0f8-4995-ad91-b9c0e4abf6e5" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressAddressLine1_4faf7a86-dd76-4f47-b486-add2d42fca74" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityAddressAddressLine1"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityAddressAddressLine1_4faf7a86-dd76-4f47-b486-add2d42fca74" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressCityOrTown_3592b1cd-812b-41b5-9956-00d8f89826ce" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityAddressCityOrTown"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityAddressCityOrTown_3592b1cd-812b-41b5-9956-00d8f89826ce" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressStateOrProvince_f6fb8695-f636-4837-a49d-5fc7de2183c0" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityAddressStateOrProvince"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityAddressStateOrProvince_f6fb8695-f636-4837-a49d-5fc7de2183c0" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressPostalZipCode_0b0d93c8-8eaf-4fe4-9ebc-06db5b801310" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityAddressPostalZipCode"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityAddressPostalZipCode_0b0d93c8-8eaf-4fe4-9ebc-06db5b801310" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CityAreaCode_fa731229-503c-4780-ab3a-395cb7fcee25" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_CityAreaCode"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_CityAreaCode_fa731229-503c-4780-ab3a-395cb7fcee25" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_LocalPhoneNumber_fd17cc18-8f1f-4c1b-be39-2277be566988" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_LocalPhoneNumber"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_LocalPhoneNumber_fd17cc18-8f1f-4c1b-be39-2277be566988" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_WrittenCommunications_b68b6f77-5daf-4f75-bd3b-a2e185965262" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_WrittenCommunications"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_WrittenCommunications_b68b6f77-5daf-4f75-bd3b-a2e185965262" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SolicitingMaterial_76848e5a-168d-44f3-8fb3-b69a292cc777" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_SolicitingMaterial"/>
    <link:presentationArc order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_SolicitingMaterial_76848e5a-168d-44f3-8fb3-b69a292cc777" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementTenderOffer_965efcc8-4506-4e75-b4bf-ee86899b4328" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_PreCommencementTenderOffer"/>
    <link:presentationArc order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_PreCommencementTenderOffer_965efcc8-4506-4e75-b4bf-ee86899b4328" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementIssuerTenderOffer_fda0a29e-c754-43f5-af5a-ae3325f1d3bb" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_PreCommencementIssuerTenderOffer"/>
    <link:presentationArc order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_PreCommencementIssuerTenderOffer_fda0a29e-c754-43f5-af5a-ae3325f1d3bb" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_Security12bTitle_88786d25-91f9-415c-8dfd-07537b1dc7f2" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_Security12bTitle"/>
    <link:presentationArc order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_Security12bTitle_88786d25-91f9-415c-8dfd-07537b1dc7f2" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_TradingSymbol_cb6949fa-690d-4978-bf84-d097a3114f1e" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_TradingSymbol"/>
    <link:presentationArc order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_TradingSymbol_cb6949fa-690d-4978-bf84-d097a3114f1e" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SecurityExchangeName_717b7729-9a6e-49f6-a7a3-2c54dec93b98" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_SecurityExchangeName"/>
    <link:presentationArc order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_SecurityExchangeName_717b7729-9a6e-49f6-a7a3-2c54dec93b98" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityEmergingGrowthCompany_da59bb79-37e6-4c1b-8ca0-b7867daa4e98" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityEmergingGrowthCompany"/>
    <link:presentationArc order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityEmergingGrowthCompany_da59bb79-37e6-4c1b-8ca0-b7867daa4e98" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityCentralIndexKey_dd8bf585-da8d-4d98-a1ad-f9714b97575d" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_EntityCentralIndexKey"/>
    <link:presentationArc order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_EntityCentralIndexKey_dd8bf585-da8d-4d98-a1ad-f9714b97575d" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_AmendmentFlag_a866b0c6-e49e-461d-bb4b-ae070744b2d1" xlink:href="https://xbrl.sec.gov/dei/2019/dei-2019-01-31.xsd#dei_AmendmentFlag"/>
    <link:presentationArc order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_48cb2fd9-7397-4867-891f-be05ee913508" xlink:to="loc_dei_AmendmentFlag_a866b0c6-e49e-461d-bb4b-ae070744b2d1" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
  </link:presentationLink>
</link:linkbase>
